Last Comment Bug 687797 - (SM-Linux-Refresh) Bring CentOS 5 Linux Slaves up to date based on MoCo puppet configs.
(SM-Linux-Refresh)
: Bring CentOS 5 Linux Slaves up to date based on MoCo puppet configs.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Justin Wood (:Callek) (Away until Aug 29)
:
Mentors:
Depends on: 687802
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-20 01:37 PDT by Justin Wood (:Callek) (Away until Aug 29)
Modified: 2011-09-26 01:15 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
the unwrapped puppet manifest I used for this... (24.84 KB, text/plain)
2011-09-26 01:12 PDT, Justin Wood (:Callek) (Away until Aug 29)
no flags Details
extras (2.83 KB, text/plain)
2011-09-26 01:13 PDT, Justin Wood (:Callek) (Away until Aug 29)
no flags Details
talos (1.58 KB, text/plain)
2011-09-26 01:15 PDT, Justin Wood (:Callek) (Away until Aug 29)
no flags Details

Description Justin Wood (:Callek) (Away until Aug 29) 2011-09-20 01:37:56 PDT
This bug is to track the work needed to bring SeaMonkey's Linux machines up to date, both in terms of dir structure and in terms of installed software, necessary to get these slaves in a good shape for future work.

The major thing this will do is install Buildbot 0.8.2.
Comment 1 Justin Wood (:Callek) (Away until Aug 29) 2011-09-24 23:42:42 PDT
(In reply to Justin Wood (:Callek) from comment #0)
> This bug is to track the work needed to bring SeaMonkey's Linux machines up
> to date, both in terms of dir structure and in terms of installed software,
> necessary to get these slaves in a good shape for future work.
> 
> The major thing this will do is install Buildbot 0.8.2.

Typo, buildbot 0.8.4-pre-moz2 :-)


Done on cb-seamonkey-linux-02:


== Disabled buildbot.tac ==
* Did a graceful shutdown on master.
* mv /builds/slave/buildbot.tac ~/backup

== Clobber slave dir ==
* rm -rf /builds/slave/*

== Clobber ccache ==
* rm -rf /builds/ccache/*

== Check mount points ==
* Ran <code>mount -v</code> to verify that '''/''' and '''/builds''' have ''noatime'' set.
** Both Ok.

== dir/files ==
* mkdir /builds/hg-shared
** set owner/group to seabld, mode to 755
* mkdir /builds/tmp
** owner/group root, mode 1777
* rm -f /etc/default/buildbot
* copy .bash_profile changes from what is used in cltbld to seabld
* enable extensions in .hgrc as per Mozilla
* /home/seabld/.purge_builds.cfg set per production MoCo
* /home/seabld/crontab created as per MoCo cltbld
* mkdir /home/seabld/.vnc with mode 755 and seabld/seabld
* ran vncpasswd to create ~/.vnc/passwd
* copied over from MoCo files, /home/cltbld/.vnc/xstartup to seabld/.vnc/xstartup
* copied seabld's public key info to .ssh/authorized_keys so we can login with just the key
* mkdir /tools/buildbot-0.8.4-pre-moz2 with root/root and chmod 755
* cd /tools && ln -s buildbot-0.8.4-pre-moz2 buildbot
* rm -rf /tools/buildbot-0.8.0
* mkdir /tools/misc-python with root/root and chmod 755
* copied necessary stuff to misc-python
** distribute-0.6.14.tar.gz
** pip-0.8.2.tar.gz
** pip-check.py
*** From http://mxr.mozilla.org/build/source/puppet-manifests/modules/python/files/pip-check.py
** virtualenv.py
* Copied runslave.py to /usr/local/bin/ with root/root and chmod 755

== Packages ==
* from local->cb-seamonkey-linux-02:~/packages
** scp *i686.rpm seabld@cb-seamonkey-linux-02:~/packages/
* sudo rpm -Uhv fontconfig-devel*
** No problems
* sudo rpm -Uhv fontconfig-2*
** No Problems
* sudo rpm -Uhv fontconfig-debug*
** No Problems
* sudo rpm -Uhv clang*
** No Problems
* sudo rpm -Uhv moz_binu*
** No Problems
* sudo rpm -Uhv gcc45-4*
** No Problems
* sudo rpm -Uhv gcc45_0m*
** No Problems
* sudo rpm -Uhv ruby-sh*
** Missing ruby itself,
** sudo yum install ruby
*** Installs ruby and ruby-libs 1.8.5-19-el15_6.1
* sudo rpm -Uhv ruby-sh*
** No Problems
* sudo rpm -Uhv zope.i*
** No Problems
* sudo rpm -Uhv twisted-core*
** No Problems
* sudo rpm -Uhv twisted-2.*i686*
** No Problems  [i686 explicit since I had an i386 rpm as well]
* sudo rpm -Uhv jdk1.5*
** No Problems
** Creates /tools/jdk-1.5... but /tools/jdk15... exists
** sudo rm -rf /tools/jdk1.5.0*
* sudo rpm -Uhv jdk1.6*
** No Problems
* sudo rpm -Uhv mercurial-py26*
** No Problems
* sudo rpm -Uhv virtualenv*
** No Problems
* sudo rpm -Uhv ccache*
** No Problems
* "Check Valgrind RPMs"
** No need to do anything since |/bin/rpm -qv valgrind | /bin/grep -q 3.2.1| gives no results
* sudo rpm -Uhv valgrind-3.6*
** No Problems
* sudo rpm -Uhv valgrind-dev*
** No Problems
* sudo rpm -Uhv system*
** No Problems

=== gtk2 ===
* sudo rpm -Uhv gtk2*
** Had Problems, dependancy issues .. 
** yum update could not find suiteable update for at least atk
** The package I grabbed for this was from the fedora slave set anyway
* Updated from 2.10.4-15 to 2.10.4-21 via yum update.
** Also updates gtk2-devel

== symlinks ==
Did symlinks for
* gcc
* jdk
* jdk6
* python
* twisted
* twisted-core
* zope.interface

== services ==
Checked that the following are in the proper state
* (See puppet list for services, no changes)

== ccache adjust ==
*  CCACHE_DIR=/builds/ccache CCACHE_COMPRESS=1 /usr/bin/ccache -M 5G
(Increased from 2G)

== Perl Config::General ==
Already installed, tested with |perl -M"Config::General 2.30" -e ''|

== virtualenv ==
* /tools/python-2.6.5/bin/python /tools/misc-python/virtualenv.py --python=/tools/python-2.6.5/bin/python --distribute /tools/buildbot-0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ zope.interface==3.6.1
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot-slave==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbo==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ Twisted==10.2.0
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ simplejson==2.1.3

== init.d ==
* As root:
** cd /etc/init.d && wget -O buildbot http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/linux-initd-buildbot.sh?raw=1
** verified permissions
** edited file to be seabld rather than cltbld for starting

== buildbot.tac ==
Used http://mxr.mozilla.org/build/source/tools/lib/python/slavealloc/logic/buildbottac.py for my template
and saved to /builds/slave/buildbot.tac

== finish ==
* sudo /sbin/chkconfig --del buildbot && sudo /sbin/chkconfig --add buildbot
* sudo /usr/bin/crontab -u seabld /home/seabld/crontab
* rm -rf /home/seabld/packages
* rm -rf /home/seabld/backup/*{.bz2,rpm}
* rm -rf /home/seabld/.mozilla
* rm -rf /tmp/*
* sudo reboot
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2011-09-25 05:48:14 PDT
cb-seamonkey-linux-01:

== Put files on machine ==
* from local->cb-seamonkey-linux-02:~/packages
** cd files/x86 scp ./* seabld@cb-seamonkey-linux-01:~/packages/

== Disabled buildbot.tac ==
* Did a graceful shutdown on master.
* mv /builds/slave/buildbot.tac ~/backup

== Clobber slave dir ==
* rm -rf /builds/slave/*

== Clobber ccache ==
* rm -rf /builds/ccache/*

== Check mount points ==
* Ran <code>mount -v</code> to verify that '''/''' and '''/builds''' have ''noatime'' set.
** Both Ok.

== dir/files ==
* mkdir /builds/hg-shared
** set owner/group to seabld, mode to 755
* mkdir /builds/tmp
** owner/group root, mode 1777
* rm -f /etc/default/buildbot
* copy .bash_profile changes from what is used in cltbld to seabld
* enable extensions in .hgrc as per Mozilla
* /home/seabld/.purge_builds.cfg set per production MoCo
* /home/seabld/crontab created as per MoCo cltbld
* mkdir /home/seabld/.vnc with mode 755 and seabld/seabld
* ran vncpasswd to create ~/.vnc/passwd
* copied over from MoCo files, /home/cltbld/.vnc/xstartup to seabld/.vnc/xstartup
* copied seabld's public key info to .ssh/authorized_keys so we can login with just the key
* mkdir /tools/buildbot-0.8.4-pre-moz2 with root/root and chmod 755
* cd /tools && rm buildbot
* cd /tools && ln -s buildbot buildbot-0.8.4-pre-moz2
* rm -rf /tools/buildbot-0.8.0
* mkdir /tools/misc-python with root/root and chmod 755
* copied necessary stuff to misc-python
** distribute-0.6.14.tar.gz
** pip-0.8.2.tar.gz
** pip-check.py
*** From http://mxr.mozilla.org/build/source/puppet-manifests/modules/python/files/pip-check.py
** virtualenv.py
* Copied runslave.py to /usr/local/bin/ with root/root and chmod 755
** wget -O runslave.py http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/runslave.py?raw=1

== Packages ==
* from local->cb-seamonkey-linux-02:~/packages
** scp *i686.rpm seabld@cb-seamonkey-linux-02:~/packages/
* sudo rm -rf /tools/jdk1.5.0*
* sudo yum install ruby
* "Check Valgrind RPMs"
** No need to do anything since |/bin/rpm -qv valgrind | /bin/grep -q 3.2.1| gives no results

* (cd ~ && sudo rpm -Uhv {fontconfig-devel*,fontconfig-2*,fontconfig-debug*,clang*,moz_binu*,gcc45-4*,gcc45_0m*,ruby-sh*,zope.i*,twisted-core*,twisted-2.*i686*,jdk1.5*,jdk1.6*,mercurial-py26*,virtualenv*,ccache*,valgrind-3.6*,valgrind-dev*,system*})
** No Problems

=== gtk2 ===
* Updated from 2.10.4-15 to 2.10.4-21 via yum update.
** Also updates gtk2-devel

== symlinks ==
Did symlinks for
* buildbot -> 0.8.4
* gcc -> 4.1.1
* jdk -> 1.5.0
* jdk6 -> 1.6.0
* python -> 2.5.1
* twisted -> twisted-2.4.0
* twisted-core -> 2.4.0
* zope.interface -> 3.3.0

== services ==
Checked that the following are in the proper state
* /sbin/chkconfig --list | grep "on"
* (See puppet list for services, no changes)

== ccache adjust ==
*  CCACHE_DIR=/builds/ccache CCACHE_COMPRESS=1 /usr/bin/ccache -M 5G
(Increased from 2G)

== Perl Config::General ==
Already installed, tested with |perl -M"Config::General 2.30" -e ''|

== virtualenv ==
* /tools/python-2.6.5/bin/python /tools/misc-python/virtualenv.py --python=/tools/python-2.6.5/bin/python --distribute /tools/buildbot-0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ zope.interface==3.6.1
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot-slave==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ Twisted==10.2.0
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ simplejson==2.1.3

== init.d ==
* As root:
** cd /etc/init.d && wget -O buildbot http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/linux-initd-buildbot.sh?raw=1
** verified permissions
** edited file to be seabld rather than cltbld for starting

== buildbot.tac ==
Used http://mxr.mozilla.org/build/source/tools/lib/python/slavealloc/logic/buildbottac.py for my template
and saved to /builds/slave/buildbot.tac

== finish ==
* sudo /sbin/chkconfig --del buildbot && sudo /sbin/chkconfig --add buildbot
* sudo /usr/bin/crontab -u seabld /home/seabld/crontab
* rm -rf /home/seabld/packages
* rm -rf /home/seabld/backup/*{.bz2,rpm}
* rm -rf /home/seabld/.mozilla
* rm -rf /tmp/*
* sudo reboot
Comment 3 Justin Wood (:Callek) (Away until Aug 29) 2011-09-25 07:30:02 PDT
cb-sea-linux-tbox

== Put files on machine ==
* from local->cb-seamonkey-linux-02:~/packages
** cd files/x86 scp ./* seabld@cb-seamonkey-linux-01:~/packages/

== Disabled buildbot.tac ==
* Did a graceful shutdown on master.
* mv /builds/slave/buildbot.tac ~/backup

== Clobber slave dir ==
* rm -rf /builds/slave/*

== Clobber ccache ==
* rm -rf /builds/ccache/*

== Check mount points ==
* Ran <code>mount -v</code> to verify that '''/''' and '''/builds''' have ''noatime'' set.
** Both Ok.

== dir/files ==
* mkdir /builds/hg-shared
** set owner/group to seabld, mode to 755
* mkdir /builds/tmp
** owner/group root, mode 1777
* rm -f /etc/default/buildbot
* copy .bash_profile changes from what is used in cltbld to seabld
* enable extensions in .hgrc as per Mozilla
* /home/seabld/.purge_builds.cfg set per production MoCo
* /home/seabld/crontab created as per MoCo cltbld
* mkdir /home/seabld/.vnc with mode 755 and seabld/seabld
* ran vncpasswd to create ~/.vnc/passwd
* copied over from MoCo files, /home/cltbld/.vnc/xstartup to seabld/.vnc/xstartup
* copied seabld's public key info to .ssh/authorized_keys so we can login with just the key
* mkdir /tools/buildbot-0.8.4-pre-moz2 with root/root and chmod 755
* cd /tools && rm buildbot
* cd /tools && ln -s buildbot buildbot-0.8.4-pre-moz2
* rm -rf /tools/buildbot-0.8.0
* mkdir /tools/misc-python with root/root and chmod 755
* copied necessary stuff to misc-python
** distribute-0.6.14.tar.gz
** pip-0.8.2.tar.gz
** pip-check.py
*** From http://mxr.mozilla.org/build/source/puppet-manifests/modules/python/files/pip-check.py
** virtualenv.py
* Copied runslave.py to /usr/local/bin/ with root/root and chmod 755
** wget -O runslave.py http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/runslave.py?raw=1

== Packages ==
* sudo rm -rf /tools/jdk1.5.0*
* sudo yum install ruby
* "Check Valgrind RPMs"
** No need to do anything since |/bin/rpm -qv valgrind | /bin/grep -q 3.2.1| gives no results
* (cd ~/packages && sudo rpm -Uhv {fontconfig-devel*,fontconfig-2*,fontconfig-debug*,clang*,moz_binu*,gcc45-4*,gcc45_0m*,ruby-sh*,zope.i*,twisted-core*,twisted-2.*i686*,jdk1.5*,jdk1.6*,mercurial-py26*,virtualenv*,ccache*,valgrind-3.6*,valgrind-dev*,system*})
** No Problems

=== gtk2 ===
* Updated from 2.10.4-15 to 2.10.4-21 via yum update.
** Also updates gtk2-devel

== symlinks ==
Did symlinks for
* buildbot -> 0.8.4
* gcc -> 4.1.1
* jdk -> 1.5.0
* jdk6 -> 1.6.0
* python -> 2.5.1
* twisted -> twisted-2.4.0
* twisted-core -> 2.4.0
* zope.interface -> 3.3.0

== services ==
Checked that the following are in the proper state
* /sbin/chkconfig --list | grep "on"
* (See puppet list for services, no changes)

== ccache adjust ==
*  CCACHE_DIR=/builds/ccache CCACHE_COMPRESS=1 /usr/bin/ccache -M 5G
(Increased from 2G)

== Perl Config::General ==
Already installed, tested with |perl -M"Config::General 2.30" -e ''|

== virtualenv ==
* /tools/python-2.6.5/bin/python /tools/misc-python/virtualenv.py --python=/tools/python-2.6.5/bin/python --distribute /tools/buildbot-0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ zope.interface==3.6.1
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot-slave==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ Twisted==10.2.0
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ simplejson==2.1.3

== init.d ==
* As root:
** cd /etc/init.d && wget -O buildbot http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/linux-initd-buildbot.sh?raw=1
** verified permissions
** edited file to be seabld rather than cltbld for starting

== buildbot.tac ==
Used http://mxr.mozilla.org/build/source/tools/lib/python/slavealloc/logic/buildbottac.py for my template
and saved to /builds/slave/buildbot.tac

== finish ==
* sudo /sbin/chkconfig --del buildbot && sudo /sbin/chkconfig --add buildbot
* sudo /usr/bin/crontab -u seabld /home/seabld/crontab
* rm -rf /home/seabld/packages
* rm -rf /home/seabld/backup/*{.bz2,rpm}
* rm -rf /home/seabld/.mozilla
* rm -rf /tmp/*
* sudo reboot
Comment 4 Justin Wood (:Callek) (Away until Aug 29) 2011-09-25 08:34:35 PDT
cn-sea-qm-centos5-01:

== Put files on machine ==
* from local->cb-seamonkey-linux-02:~/packages
** cd files/x86 scp ./* seabld@cb-seamonkey-linux-01:~/packages/

== Disabled buildbot.tac ==
* Did a graceful shutdown on master.
* mv /builds/slave/buildbot.tac ~/backup

== Clobber slave dir ==
* rm -rf /builds/slave/*

== Clobber ccache ==
* rm -rf /builds/ccache/*

== Check mount points ==
* Ran <code>mount -v</code> to verify that '''/''' and '''/builds''' have ''noatime'' set.
** Both Ok.

== dir/files ==
* mkdir /builds/hg-shared
** set owner/group to seabld, mode to 755
* mkdir /builds/tmp
** owner/group root, mode 1777
* rm -f /etc/default/buildbot
* copy .bash_profile changes from what is used in cltbld to seabld
* enable extensions in .hgrc as per Mozilla
* /home/seabld/.purge_builds.cfg set per production MoCo
* /home/seabld/crontab created as per MoCo cltbld
* mkdir /home/seabld/.vnc with mode 755 and seabld/seabld
* ran vncpasswd to create ~/.vnc/passwd
* copied over from MoCo files, /home/cltbld/.vnc/xstartup to seabld/.vnc/xstartup
* copied seabld's public key info to .ssh/authorized_keys so we can login with just the key
* mkdir /tools/buildbot-0.8.4-pre-moz2 with root/root and chmod 755
* cd /tools && rm buildbot
* cd /tools && ln -s buildbot-0.8.4-pre-moz2 buildbot
* rm -rf /tools/buildbot-0.8.0
* mkdir /tools/misc-python with root/root and chmod 755
* copied necessary stuff to misc-python
** distribute-0.6.14.tar.gz
** pip-0.8.2.tar.gz
** pip-check.py
*** From http://mxr.mozilla.org/build/source/puppet-manifests/modules/python/files/pip-check.py
** virtualenv.py
* Copied runslave.py to /usr/local/bin/ with root/root and chmod 755
** wget -O runslave.py http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/runslave.py?raw=1

== Packages ==
* sudo rm -rf /tools/jdk1.5.0*
* sudo yum install ruby
* "Check Valgrind RPMs"
** No need to do anything since |/bin/rpm -qv valgrind | /bin/grep -q 3.2.1| gives no results
* (cd ~/packages && sudo rpm -Uhv {fontconfig-devel*,fontconfig-2*,fontconfig-debug*,clang*,moz_binu*,gcc45-4*,gcc45_0m*,ruby-sh*,zope.i*,twisted-core*,twisted-2.*i686*,jdk1.5*,jdk1.6*,mercurial-py26*,virtualenv*,ccache*,valgrind-3.6*,valgrind-dev*,system*})
** No Problems

=== gtk2 ===
* Updated from 2.10.4-15 to 2.10.4-21 via yum update.
** Also updates gtk2-devel

== symlinks ==
Did symlinks for
* buildbot -> 0.8.4
* gcc -> 4.1.1
* jdk -> 1.5.0
* jdk6 -> 1.6.0
* python -> 2.5.1
* twisted -> twisted-2.4.0
* twisted-core -> 2.4.0
* zope.interface -> 3.3.0

== services ==
Checked that the following are in the proper state
* /sbin/chkconfig --list | grep ":on"
* (See puppet list for services, no changes)

== ccache adjust ==
*  CCACHE_DIR=/builds/ccache CCACHE_COMPRESS=1 /usr/bin/ccache -M 5G
(Increased from 2G)

== Perl Config::General ==
Already installed, tested with |perl -M"Config::General 2.30" -e ''|

== virtualenv ==
* /tools/python-2.6.5/bin/python /tools/misc-python/virtualenv.py --python=/tools/python-2.6.5/bin/python --distribute /tools/buildbot-0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ zope.interface==3.6.1
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot-slave==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ buildbot==0.8.4-pre-moz2
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ Twisted==10.2.0
* /tools/buildbot-0.8.4-pre-moz2/bin/pip install --no-deps --find-links=http://people.mozilla.org/~dmitchell/ simplejson==2.1.3

== init.d ==
* As root:
** cd /etc/init.d && wget -O buildbot http://mxr.mozilla.org/build/source/puppet-manifests/modules/buildslave/files/linux-initd-buildbot.sh?raw=1
** verified permissions
** edited file to be seabld rather than cltbld for starting

== buildbot.tac ==
Used http://mxr.mozilla.org/build/source/tools/lib/python/slavealloc/logic/buildbottac.py for my template
and saved to /builds/slave/buildbot.tac

== finish ==
* sudo /sbin/chkconfig --del buildbot && sudo /sbin/chkconfig --add buildbot
* sudo /usr/bin/crontab -u seabld /home/seabld/crontab
* rm -rf /home/seabld/packages
* rm -rf /home/seabld/backup/*{.bz2,rpm}
* rm -rf /home/seabld/.mozilla
* rm -rf /tmp/*
* sudo reboot
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2011-09-25 08:35:00 PDT
About to blog that I did the change, just incase someone notices something odd.
Comment 6 Justin Wood (:Callek) (Away until Aug 29) 2011-09-26 01:12:15 PDT
Created attachment 562371 [details]
the unwrapped puppet manifest I used for this...
Comment 7 Justin Wood (:Callek) (Away until Aug 29) 2011-09-26 01:13:22 PDT
Created attachment 562372 [details]
extras

extras, such as scratchbox, qt dev, and nagios.

None of which was installed
Comment 8 Justin Wood (:Callek) (Away until Aug 29) 2011-09-26 01:15:28 PDT
Created attachment 562373 [details]
talos

This is unwrapped stuff from talos where it differed and was not used in the basic installs.

gtk2 was unable to be installed as-is, because there was no easy package for centos5
python-devel was not able to be installed as-is because it expected dependancies in different locations.

the Xorg.conf file referenced here includes nVidea driver stuff, which we don't have hardware for on these slaves.

Note You need to log in before you can comment on or make changes to this bug.